summaryrefslogtreecommitdiff
path: root/libraries/libechonest/libechonest.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'libraries/libechonest/libechonest.SlackBuild')
-rw-r--r--libraries/libechonest/libechonest.SlackBuild23
1 files changed, 11 insertions, 12 deletions
diff --git a/libraries/libechonest/libechonest.SlackBuild b/libraries/libechonest/libechonest.SlackBuild
index 9cda3fb0ef..95724eb1d5 100644
--- a/libraries/libechonest/libechonest.SlackBuild
+++ b/libraries/libechonest/libechonest.SlackBuild
@@ -2,7 +2,8 @@
# Slackware build script for libechonest
-# Copyright 2011 James Axl <axlrose112@gmail.com>
+# Copyright 2011 James Axl <axlrose112@gmail.com>
+# Copyright 2014 Heinz Wiesinger, Amsterdam, The Netherlands
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +24,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=libechonest
-VERSION=1.2.1
+VERSION=${VERSION:-2.3.0}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -64,10 +65,10 @@ tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
- \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
mkdir build
cd build
@@ -82,15 +83,13 @@ cd build
make install DESTDIR=$PKG
cd ..
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a \
- AUTHORS COPYING README TODO \
- $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING README TODO $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc